Bug 65434 - ipchains -Z --zero does not work
ipchains -Z --zero does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 20:05 EDT by Ivan Martinez
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Martinez 2002-05-23 20:05:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1 i586)

Description of problem:
when running 
ipchains -L -Z -v -x -n 
it shows the byte counts, but does not zero the counters.
When I do the command again the numbers are not starting from zero.

Version-Release number of selected component (if applicable):
RedHat from 7.1 to 7.3,including rawhide

How reproducible:
Always

Steps to Reproduce:
1. ipchains -L -Z -v -x -n
2.ipchains -L -Z -v -x -n
3.
	

Actual Results:  The byte and packet counts are not zeroed.


Expected Results:  The byte and packet counts start again from zero.

Additional info:

I have tested on 
7.1 - no updates 
7.1 - all up2date updates
7.2 - no updates
7.3 - no updates
current rawhide ipchains and kernel

All machines with 2.4 kernel are ignoring the -Z or --zero option on ipchains.
This works fine on a 6.x redhat and 7.0 also
Comment 1 Mike A. Harris 2002-05-23 23:14:13 EDT
I believe that the ipchains compatibility interface presented by netfilter
in all 2.4.x kernels does not support this feature.  I tried to track
down someone who might know more about this for sure, but was unable to
catch anyone.  I also spent 30 minutes hunting on Google to no avail.

Ultimately it is either not supported, in which this is NOTABUG, or if it
is supported, but is buggy, then it would most certainly be a kernel bug
if it works in 2.2.x kernels and not with a 2.4.x kernel.  As such, I'm
reassigning to the kernel.

Arjan, is this supposed to even work in 2.4.x?
Comment 2 Mike A. Harris 2002-05-23 23:17:12 EDT
3 seconds after reassinging, Bryce responded in IRC saying he believes
this is supported, and it is possibly a bug.  ;o)
Comment 3 Bugzilla owner 2004-09-30 11:39:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.